---
document: modulemd
version: 2
data:
  name: rust-toolset
  stream: "rhel8"
  version: 8070020230327090529
  context: 24c76bea
  arch: aarch64
  summary: Rust
  description: >-
    Rust Toolset
  license:
    module:
    - MIT
  dependencies:
  - buildrequires:
      llvm-toolset: [rhel8]
      platform: [el8]
    requires:
      llvm-toolset: [rhel8]
      platform: [el8]
  profiles:
    common:
      rpms:
      - rust-toolset
  api:
    rpms:
    - cargo
    - cargo-doc
    - clippy
    - rls
    - rust
    - rust-analysis
    - rust-doc
    - rust-gdb
    - rust-lldb
    - rust-src
    - rust-std-static
    - rust-toolset
    - rustfmt
  components:
    rpms:
      rust:
        rationale: Rust compiler and tools
        ref: ca624d91673bfd99679a4f831a0fc8fd080395f3
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
  artifacts:
    rpms:
    - cargo-0:1.66.1-1.module_el8.7.0+3461+90611d29.aarch64
    - cargo-debuginfo-0:1.66.1-1.module_el8.7.0+3461+90611d29.aarch64
    - clippy-0:1.66.1-1.module_el8.7.0+3461+90611d29.aarch64
    - clippy-debuginfo-0:1.66.1-1.module_el8.7.0+3461+90611d29.aarch64
    - rust-0:1.66.1-1.module_el8.7.0+3461+90611d29.aarch64
    - rust-0:1.66.1-1.module_el8.7.0+3461+90611d29.src
    - rust-analysis-0:1.66.1-1.module_el8.7.0+3461+90611d29.aarch64
    - rust-analyzer-0:1.66.1-1.module_el8.7.0+3461+90611d29.aarch64
    - rust-analyzer-debuginfo-0:1.66.1-1.module_el8.7.0+3461+90611d29.aarch64
    - rust-debugger-common-0:1.66.1-1.module_el8.7.0+3461+90611d29.noarch
    - rust-debuginfo-0:1.66.1-1.module_el8.7.0+3461+90611d29.aarch64
    - rust-debugsource-0:1.66.1-1.module_el8.7.0+3461+90611d29.aarch64
    - rust-doc-0:1.66.1-1.module_el8.7.0+3461+90611d29.aarch64
    - rust-gdb-0:1.66.1-1.module_el8.7.0+3461+90611d29.noarch
    - rust-lldb-0:1.66.1-1.module_el8.7.0+3461+90611d29.noarch
    - rust-src-0:1.66.1-1.module_el8.7.0+3461+90611d29.noarch
    - rust-std-static-0:1.66.1-1.module_el8.7.0+3461+90611d29.aarch64
    - rust-std-static-wasm32-unknown-unknown-0:1.66.1-1.module_el8.7.0+3461+90611d29.aarch64
    - rust-std-static-wasm32-wasi-0:1.66.1-1.module_el8.7.0+3461+90611d29.aarch64
    - rust-toolset-0:1.66.1-1.module_el8.7.0+3461+90611d29.aarch64
    - rustfmt-0:1.66.1-1.module_el8.7.0+3461+90611d29.aarch64
    - rustfmt-debuginfo-0:1.66.1-1.module_el8.7.0+3461+90611d29.aarch64
...
---
document: modulemd
version: 2
data:
  name: rust-toolset-devel
  stream: "rhel8"
  version: 8070020230327090529
  context: 24c76bea
  arch: aarch64
  summary: Rust
  description: >-
    Rust Toolset
  license:
    module:
    - MIT
  dependencies:
  - buildrequires:
      llvm-toolset: [rhel8]
      platform: [el8]
      rust-toolset: [rhel8]
    requires:
      llvm-toolset: [rhel8]
      platform: [el8]
      rust-toolset: [rhel8]
  profiles:
    common:
      rpms:
      - rust-toolset
  api:
    rpms:
    - cargo
    - cargo-doc
    - clippy
    - rls
    - rust
    - rust-analysis
    - rust-doc
    - rust-gdb
    - rust-lldb
    - rust-src
    - rust-std-static
    - rust-toolset
    - rustfmt
  components:
    rpms:
      rust:
        rationale: Rust compiler and tools
        ref: ca624d91673bfd99679a4f831a0fc8fd080395f3
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
...
